package com.unipi.talepis.demo5681;

import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;

import androidx.annotation.NonNull;

public class MyLooperThread extends Thread{
    public Handler handler;
    @Override
    public void run() {
        Looper.prepare();
        handler = new Handler(){
            @Override
            public void handleMessage(@NonNull Message msg) {
                Bundle bundle = msg.getData();
                String s = bundle.getString("message");
                if (s.equalsIgnoreCase("exit"))
                    Looper.myLooper().quitSafely();
                else {
                    for (char c:s.toCharArray()){
                        try {
                            Thread.sleep(500);
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                        }
                        Bundle b2 = new Bundle();
                        b2.putString("mainMessage",String.valueOf(c));
                        Message msg2 = MainActivity.mainHandler.obtainMessage();
                        msg2.setData(b2);
                        MainActivity.mainHandler.sendMessage(msg2);
                    }
                }
            }
        };
        Looper.loop();
    }

}
